package com.ruoyi.web.plotmanage.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 楼宇管理对象 ad_flat
 * 
 * @author cyx
 * @date 2022-11-24
 */
public class AdFlat extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 所属小区 */
    @Excel(name = "所属小区")
    private String plotid;

    /** 楼宇名称 */
    @Excel(name = "楼宇名称")
    private String name;

    /** 备注 */
    @Excel(name = "备注")
    private String remake;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 创建人 */
    @Excel(name = "创建人")
    private String create;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setPlotid(String plotid) 
    {
        this.plotid = plotid;
    }

    public String getPlotid() 
    {
        return plotid;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setRemake(String remake) 
    {
        this.remake = remake;
    }

    public String getRemake() 
    {
        return remake;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setCreate(String create) 
    {
        this.create = create;
    }

    public String getCreate() 
    {
        return create;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plotid", getPlotid())
            .append("name", getName())
            .append("remake", getRemake())
            .append("createdate", getCreatedate())
            .append("create", getCreate())
            .toString();
    }
}
